Intermittent browser_bug1170531.js | menu_cut/menu_copy should be disabled - Got false, expected true

RESOLVED FIXED in Firefox -esr52

Status

()

Firefox
Menus
P3
normal
RESOLVED FIXED
3 years ago
10 months ago

People

(Reporter: KWierso, Assigned: Nika)

Tracking

({intermittent-failure})

unspecified
Firefox 55
intermittent-failure
Points:
---
Bug Flags:
in-testsuite +

Firefox Tracking Flags

(firefox49 wontfix, firefox50 wontfix, firefox51 wontfix, firefox52 wontfix, firefox-esr52 fixed, firefox53 fixed, firefox54 fixed, firefox55 fixed)

Details

(Whiteboard: [stockwell fixed])

Attachments

(1 attachment)

(Reporter)

Description

3 years ago
16:03:39 INFO - 888 INFO TEST-START | toolkit/content/tests/browser/browser_bug1170531.js
16:03:39 INFO - ++DOCSHELL 1B6EA000 == 14 [pid = 3700] [id = 14]
16:03:39 INFO - ++DOMWINDOW == 32 (1D00C400) [pid = 3700] [serial = 32] [outer = 00000000]
16:03:39 INFO - ++DOMWINDOW == 33 (22F23800) [pid = 3700] [serial = 33] [outer = 1D00C400]
16:03:40 INFO - ++DOMWINDOW == 34 (22D97800) [pid = 3700] [serial = 34] [outer = 1D00C400]
16:03:40 INFO - ++DOMWINDOW == 35 (22FAC800) [pid = 3700] [serial = 35] [outer = 1D00C400]
16:03:40 INFO - ++DOMWINDOW == 36 (22FAF400) [pid = 3700] [serial = 36] [outer = 1D00C400]
16:03:40 INFO - [3700] WARNING: NS_ENSURE_TRUE(selection->RangeCount()) failed: file c:/builds/moz2_slave/m-cen-w32-d-000000000000000000/build/src/editor/libeditor/nsHTMLEditRules.cpp, line 320
16:03:40 INFO - [3700] WARNING: NS_ENSURE_TRUE(aSelection->RangeCount()) failed: file c:/builds/moz2_slave/m-cen-w32-d-000000000000000000/build/src/editor/libeditor/nsEditor.cpp, line 3725
16:03:40 INFO - [3700] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file c:/builds/moz2_slave/m-cen-w32-d-000000000000000000/build/src/editor/libeditor/nsEditor.cpp, line 3704
16:03:40 INFO - [3700] WARNING: NS_ENSURE_SUCCESS(res, res) failed with result 0x80004005: file c:/builds/moz2_slave/m-cen-w32-d-000000000000000000/build/src/editor/libeditor/nsHTMLEditRules.cpp, line 8083
16:03:40 INFO - [3700] WARNING: NS_ENSURE_TRUE(mDisabledJSAndPlugins) failed: file c:/builds/moz2_slave/m-cen-w32-d-000000000000000000/build/src/editor/composer/nsEditingSession.cpp, line 209
16:03:40 INFO - ++DOMWINDOW == 37 (23254400) [pid = 3700] [serial = 37] [outer = 1D00C400]
16:03:40 INFO - [3700] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80520012: file c:/builds/moz2_slave/m-cen-w32-d-000000000000000000/build/src/layout/style/Loader.cpp, line 2064
16:03:40 INFO - TEST-INFO | screenshot: exit status 0
16:03:40 INFO - 889 INFO checking window state
16:03:40 INFO - 890 INFO Entering test
16:03:40 INFO - 891 INFO Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,<div>hello!</div>" line: 0}]
16:03:40 INFO - 892 INFO TEST-PASS | toolkit/content/tests/browser/browser_bug1170531.js | menu_cut should be enabled
16:03:40 INFO - 893 INFO TEST-PASS | toolkit/content/tests/browser/browser_bug1170531.js | menu_copy should be enabled
16:03:40 INFO - 894 INFO Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,<div%20contentEditable='true'>hello!</div>" line: 0}]
16:03:40 INFO - 895 INFO TEST-PASS | toolkit/content/tests/browser/browser_bug1170531.js | menu_cut should be enabled
16:03:40 INFO - 896 INFO TEST-PASS | toolkit/content/tests/browser/browser_bug1170531.js | menu_copy should be enabled
16:03:40 INFO - 897 INFO TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_bug1170531.js | menu_cut should be disabled - Got false, expected true
16:03:40 INFO - Stack trace:
16:03:40 INFO - chrome://mochikit/content/browser-test.js:test_is:927
16:03:40 INFO - chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug1170531.js:null:84
16:03:40 INFO - self-hosted:InterpretGeneratorResume:715
16:03:40 INFO - self-hosted:next:623
16:03:40 INFO - Promise*openNewForegroundTab@resource://testing-common/BrowserTestUtils.jsm:95:12
16:03:40 INFO - this.BrowserTestUtils.withNewTab<@resource://testing-common/BrowserTestUtils.jsm:57:21
16:03:40 INFO - TaskImpl_run@resource://gre/modules/Task.jsm:314:40
16:03:40 INFO - TaskImpl@resource://gre/modules/Task.jsm:275:3
16:03:40 INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:249:14
16:03:40 INFO - @chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug1170531.js:56:9
16:03:40 INFO - TaskImpl_run@resource://gre/modules/Task.jsm:314:40
16:03:40 INFO - TaskImpl@resource://gre/modules/Task.jsm:275:3
16:03:40 INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:249:14
16:03:40 INFO - Task_spawn@resource://gre/modules/Task.jsm:164:12
16:03:40 INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:381:1
16:03:40 INFO - TaskImpl_run@resource://gre/modules/Task.jsm:322:13
16:03:40 INFO - TaskImpl@resource://gre/modules/Task.jsm:275:3
16:03:40 INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:249:14
16:03:40 INFO - Task_spawn@resource://gre/modules/Task.jsm:164:12
16:03:40 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:741:9
16:03:40 INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:664:7
16:03:40 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:746:59
16:03:40 INFO - Not taking screenshot here: see the one that was previously logged
16:03:40 INFO - 898 INFO TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_bug1170531.js | menu_copy should be disabled - Got false, expected true
16:03:40 INFO - Stack trace:
16:03:40 INFO - chrome://mochikit/content/browser-test.js:test_is:927
16:03:41 INFO - chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug1170531.js:null:86
16:03:41 INFO - self-hosted:InterpretGeneratorResume:715
16:03:41 INFO - self-hosted:next:623
16:03:41 INFO - Promise*openNewForegroundTab@resource://testing-common/BrowserTestUtils.jsm:95:12
16:03:41 INFO - this.BrowserTestUtils.withNewTab<@resource://testing-common/BrowserTestUtils.jsm:57:21
16:03:41 INFO - TaskImpl_run@resource://gre/modules/Task.jsm:314:40
16:03:41 INFO - TaskImpl@resource://gre/modules/Task.jsm:275:3
16:03:41 INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:249:14
16:03:41 INFO - @chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug1170531.js:56:9
16:03:41 INFO - TaskImpl_run@resource://gre/modules/Task.jsm:314:40
16:03:41 INFO - TaskImpl@resource://gre/modules/Task.jsm:275:3
16:03:41 INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:249:14
16:03:41 INFO - Task_spawn@resource://gre/modules/Task.jsm:164:12
16:03:41 INFO - TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:381:1
16:03:41 INFO - TaskImpl_run@resource://gre/modules/Task.jsm:322:13
16:03:41 INFO - TaskImpl@resource://gre/modules/Task.jsm:275:3
16:03:41 INFO - createAsyncFunction/asyncFunction@resource://gre/modules/Task.jsm:249:14
16:03:41 INFO - Task_spawn@resource://gre/modules/Task.jsm:164:12
16:03:41 INFO - Tester_execTest@chrome://mochikit/content/browser-test.js:741:9
16:03:41 INFO - Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:664:7
16:03:41 INFO - SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:746:59
16:03:41 INFO - [3700] WARNING: attempt to modify an immutable nsStandardURL: file c:/builds/moz2_slave/m-cen-w32-d-000000000000000000/build/src/netwerk/base/nsStandardURL.cpp, line 1267
16:03:41 INFO - 899 INFO Leaving test
16:03:41 INFO - Failed to load jar:file:///C:/slave/test/build/application/firefox/browser/omni.ja!/chrome/browser/content/browser/preferences/in-content/preferences.js
16:03:41 INFO - MEMORY STAT | vsize 701MB | vsizeMaxContiguous 548MB | residentFast 267MB | heapAllocated 72MB
16:03:41 INFO - 900 INFO TEST-OK | toolkit/content/tests/browser/browser_bug1170531.js | took 1207ms
16:03:41 INFO - ++DOCSHELL 2380F000 == 15 [pid = 3700] [id = 15]
16:03:41 INFO - ++DOMWINDOW == 38 (2380F800) [pid = 3700] [serial = 38] [outer = 00000000]
16:03:41 INFO - ++DOMWINDOW == 39 (23A7CC00) [pid = 3700] [serial = 39] [outer = 2380F800]
16:03:41 INFO - 901 INFO TEST-START | toolkit/content/tests/browser/browser_bug295977_autoscroll_overflow.js
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
[Mass Closure] Closing Intermittent as a one off
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
Status: RESOLVED → REOPENED
Resolution: WORKSFORME → ---
This is pretty frequent on OSX w/ e10s enabled (which we're trying to get turned on by default at the moment).

https://treeherder.mozilla.org/logviewer.html#?job_id=17397522&repo=try
Blocks: 1194533
Flags: needinfo?(michael)

Comment 14

2 years ago
43 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 43

Platform breakdown:
* osx-10-6: 43

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2016-02-29&endday=2016-03-06&tree=all
(Assignee)

Comment 15

2 years ago
Sorry for the delay in getting to this, but it seems like the oranges have calmed down. Has the test been disabled or anything like that, or has the problem gone away?
Flags: needinfo?(michael) → needinfo?(ryanvm)
Apparently so.
Flags: needinfo?(ryanvm)
No longer blocks: 1194533

Comment 17

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 3
* fx-team: 2

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2016-05-10&endday=2016-05-16&tree=all

Comment 18

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* try: 2
* mozilla-inbound: 2
* fx-team: 1

Platform breakdown:
* osx-10-10: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2016-05-23&endday=2016-05-29&tree=all

Comment 19

2 years ago
8 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 6
* try: 1
* mozilla-central: 1

Platform breakdown:
* windows7-32: 7
* osx-10-10: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2016-05-30&endday=2016-06-05&tree=all

Comment 20

2 years ago
10 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* mozilla-inbound: 9
* try: 1

Platform breakdown:
* windows7-32: 10

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2016-06-06&endday=2016-06-12&tree=all

Comment 21

2 years ago
5 automation job failures were associated with this bug in the last 7 days.

Repository breakdown:
* autoland: 3
* mozilla-inbound: 2

Platform breakdown:
* windows7-32: 3
* osx-10-10: 2

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2016-08-15&endday=2016-08-21&tree=all

Comment 22

2 years ago
Bulk assigning P3 to all open intermittent bugs without a priority set in Firefox components per bug 1298978.
Priority: -- → P3
status-firefox49: --- → wontfix
status-firefox50: --- → affected
status-firefox51: --- → affected
15 failures in 113 pushes (0.133 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* autoland: 6
* mozilla-inbound: 5
* mozilla-central: 2
* try: 1
* oak: 1

Platform breakdown:
* osx-10-10: 15

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2017-03-06&endday=2017-03-06&tree=all
(Reporter)

Comment 24

a year ago
This seems to have started up again recently. Any idea what changed?
status-firefox54: --- → affected
status-firefox55: --- → affected
Flags: needinfo?(michael)
25 failures in 141 pushes (0.177 failures/push) were associated with this bug yesterday.  
Repository breakdown:
* autoland: 16
* mozilla-inbound: 6
* graphics: 2
* try: 1

Platform breakdown:
* osx-10-10: 25

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2017-03-07&endday=2017-03-07&tree=all
this looks to have started up in bug 1343465 based on retriggers:
https://treeherder.mozilla.org/#/jobs?repo=autoland&filter-searchStr=osx%20bc6%20debug&tochange=d3fb96a2c6ef0d08a1037d3503882eea9fd2ecb5&fromchange=0f6c81e7bb41d55bcf629c2f4e5f16efbcf1c238


here is a clip from a log [0]:
07:24:01     INFO - TEST-INFO | started process screencapture
07:24:01     INFO - TEST-INFO | screencapture: exit 0
07:24:01     INFO - Buffered messages logged at 07:23:57
07:24:01     INFO - Entering test bound 
07:24:01     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,<div>hello!</div>" line: 0}]
07:24:01     INFO - Buffered messages logged at 07:23:58
07:24:01     INFO - TEST-PASS | toolkit/content/tests/browser/browser_bug1170531.js | menu_cut should be enabled - 
07:24:01     INFO - TEST-PASS | toolkit/content/tests/browser/browser_bug1170531.js | menu_copy should be enabled - 
07:24:01     INFO - Console message: [JavaScript Error: "The character encoding of the HTML document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the page must be declared in the document or in the transfer protocol." {file: "data:text/html,<div%20contentEditable='true'>hello!</div>" line: 0}]
07:24:01     INFO - Buffered messages logged at 07:23:59
07:24:01     INFO - TEST-PASS | toolkit/content/tests/browser/browser_bug1170531.js | menu_cut should be enabled - 
07:24:01     INFO - TEST-PASS | toolkit/content/tests/browser/browser_bug1170531.js | menu_copy should be enabled - 
07:24:01     INFO - Buffered messages finished
07:24:01     INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_bug1170531.js | menu_cut should be disabled - Got false, expected true
07:24:01     INFO - Stack trace:
07:24:01     INFO -     chrome://mochikit/content/browser-test.js:test_is:911
07:24:01     INFO -     chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug1170531.js:null:71
07:24:01     INFO -     @chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug1170531.js:43:9
07:24:01     INFO -     TaskImpl_run@resource://gre/modules/Task.jsm:319:42
07:24:01     INFO -     TaskImpl@resource://gre/modules/Task.jsm:277:3
07:24:01     INFO -     asyncFunction@resource://gre/modules/Task.jsm:252:14
07:24:01     INFO -     Task_spawn@resource://gre/modules/Task.jsm:166:12
07:24:01     INFO -     TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
07:24:01     INFO -     TaskImpl_run@resource://gre/modules/Task.jsm:327:15
07:24:01     INFO -     TaskImpl@resource://gre/modules/Task.jsm:277:3
07:24:01     INFO -     asyncFunction@resource://gre/modules/Task.jsm:252:14
07:24:01     INFO -     Task_spawn@resource://gre/modules/Task.jsm:166:12
07:24:01     INFO -     Tester_execTest@chrome://mochikit/content/browser-test.js:735:9
07:24:01     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:655:7
07:24:01     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:791:59
07:24:01     INFO - Not taking screenshot here: see the one that was previously logged
07:24:01     INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_bug1170531.js | menu_copy should be disabled - Got false, expected true
07:24:01     INFO - Stack trace:
07:24:01     INFO -     chrome://mochikit/content/browser-test.js:test_is:911
07:24:01     INFO -     chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug1170531.js:null:73
07:24:01     INFO -     @chrome://mochitests/content/browser/toolkit/content/tests/browser/browser_bug1170531.js:43:9
07:24:01     INFO -     TaskImpl_run@resource://gre/modules/Task.jsm:319:42
07:24:01     INFO -     TaskImpl@resource://gre/modules/Task.jsm:277:3
07:24:01     INFO -     asyncFunction@resource://gre/modules/Task.jsm:252:14
07:24:01     INFO -     Task_spawn@resource://gre/modules/Task.jsm:166:12
07:24:01     INFO -     TaskImpl_handleResultValue@resource://gre/modules/Task.jsm:389:16
07:24:01     INFO -     TaskImpl_run@resource://gre/modules/Task.jsm:327:15
07:24:01     INFO -     TaskImpl@resource://gre/modules/Task.jsm:277:3
07:24:01     INFO -     asyncFunction@resource://gre/modules/Task.jsm:252:14
07:24:01     INFO -     Task_spawn@resource://gre/modules/Task.jsm:166:12
07:24:01     INFO -     Tester_execTest@chrome://mochikit/content/browser-test.js:735:9
07:24:01     INFO -     Tester.prototype.nextTest</<@chrome://mochikit/content/browser-test.js:655:7
07:24:01     INFO -     SimpleTest.waitForFocus/waitForFocusInner/focusedOrLoaded/<@chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:791:59
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_TRUE(standardURL) failed: file /home/worker/workspace/build/src/caps/nsPrincipal.cpp, line 229
07:24:01     INFO - ++DOMWINDOW == 21 (0x126779400) [pid = 3086] [serial = 22] [outer = 0x123534400]
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_TRUE(standardURL) failed: file /home/worker/workspace/build/src/caps/nsPrincipal.cpp, line 229
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /home/worker/workspace/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
07:24:01     INFO - [Parent 3086] WARNING: 'NS_FAILED(aResult)', file /home/worker/workspace/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_TRUE(standardURL) failed: file /home/worker/workspace/build/src/caps/nsPrincipal.cpp, line 229
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /home/worker/workspace/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
07:24:01     INFO - [Parent 3086] WARNING: 'NS_FAILED(aResult)', file /home/worker/workspace/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_TRUE(standardURL) failed: file /home/worker/workspace/build/src/caps/nsPrincipal.cpp, line 229
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /home/worker/workspace/build/src/caps/BasePrincipal.cpp, line 289
07:24:01     INFO - [Parent 3086] WARNING: 'NS_FAILED(rv)', file /home/worker/workspace/build/src/dom/workers/ServiceWorkerManager.cpp, line 1976
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_TRUE(standardURL) failed: file /home/worker/workspace/build/src/caps/nsPrincipal.cpp, line 229
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_SUCCESS(rv, rv) failed with result 0x80004005: file /home/worker/workspace/build/src/extensions/cookie/nsPermissionManager.cpp, line 107
07:24:01     INFO - [Parent 3086] WARNING: 'NS_FAILED(aResult)', file /home/worker/workspace/build/src/extensions/cookie/nsPermissionManager.cpp, line 614
07:24:01     INFO - [Parent 3086] WARNING: NS_ENSURE_TRUE(standardURL) failed: file /home/worker/workspace/build/src/caps/nsPrincipal.cpp, line 229
07:24:01     INFO - Leaving test bound 
07:24:02     INFO - MEMORY STAT | vsize 4376MB | residentFast 413MB | heapAllocated 108MB
07:24:02     INFO - TEST-OK | toolkit/content/tests/browser/browser_bug1170531.js | took 4616ms


My take here is that we added a new test in bug 1343465:
https://hg.mozilla.org/integration/autoland/rev/60d90be2e7bc6c6bd961c95fe3feae26ebe011c2

I have verified this test runs before the failing test (browser_bug1170531.js), so it would be safe to assume that this test is changing the browser state to something that causes browser_bug1170531.js to fail.  2 possible scenarios here:
1) this test fixes the browser from a previous test (as it cleans up properly)
2) this test leaves the browser in a bad state

:alwu can you take a look at this?

[0] https://treeherder.mozilla.org/logviewer.html#?repo=autoland&job_id=82789888
Blocks: 1343465
Whiteboard: [stockwell needswork]
note, I am waiting on activedata to finish ingesting data to report the total number of failures/actual test runs.
I might have been misled here, the failures jump around between chunks and I assumed it was all the same browser-chrome-6 chunk :(  In fact for a handful of revisions before there are instances in bc7 and bc2- at a failure rate of <10%, closer to 5%.  So with the introduction of bug 1343465, I see that we get closer to a 25% failure rate according to the oranges.

Possibly we cannot call bug 1343465 as the root cause of all of this, but it seems to have been a trigger to increase the frequency of this specific failure.
I don't think bug 1343465 would cause this intermittent failures, they're two unrelated things.
Maybe there are something changed in pop-up event.
ok, as Michael is the original test author, lets wait and see what he comes up with here.  As a note, this is a high frequency failure, I don't think we have crossed the 75 failures/week threshold, but we are really close to that.
(Assignee)

Comment 31

a year ago
Hey - sorry I missed this - I'll take a look at this test today to see if I can figure out what is going on.
82 failures in 790 pushes (0.104 failures/push) were associated with this bug in the last 7 days. 

This is the #16 most frequent failure this week. 

** This failure happened more than 75 times this week! Resolving this bug is a very high priority. **

** Try to resolve this bug as soon as possible. If unresolved for 1 week, the affected test(s) may be disabled. **  

Repository breakdown:
* autoland: 43
* mozilla-inbound: 25
* mozilla-central: 5
* try: 3
* graphics: 3
* oak: 2
* mozilla-aurora: 1

Platform breakdown:
* osx-10-10: 82

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2017-03-06&endday=2017-03-12&tree=all
(Assignee)

Comment 33

a year ago
Created attachment 8846725 [details] [diff] [review]
Wait for the page to load before checking menu status

I ran this on try and haven't seen the failure pop up again yet - so it looks like this should fix the problem :).

MozReview-Commit-ID: 7wHbkAC8eCI
Attachment #8846725 - Flags: review?(ehsan)
(Assignee)

Updated

a year ago
Flags: needinfo?(michael)

Updated

a year ago
Attachment #8846725 - Flags: review?(ehsan) → review+
Whiteboard: [stockwell needswork] → [stockwell fixed]

Comment 34

a year ago
Pushed by michael@thelayzells.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/660a47c1fc81
Wait for the page to load before checking menu status, r=ehsan

Comment 35

a year ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/660a47c1fc81
Status: REOPENED → RESOLVED
Last Resolved: 3 years agoa year ago
status-firefox55: affected → fixed
Resolution: --- → FIXED
Target Milestone: --- → Firefox 55
Assignee: nobody → michael
status-firefox50: affected → wontfix
status-firefox51: affected → wontfix
status-firefox52: --- → wontfix
status-firefox53: --- → affected
status-firefox-esr52: --- → affected

Comment 36

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-aurora/rev/1e9578bf8619
status-firefox54: affected → fixed
Flags: in-testsuite+

Comment 37

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-beta/rev/22cf7e914019
status-firefox53: affected → fixed

Comment 38

a year ago
bugherderuplift
https://hg.mozilla.org/releases/mozilla-esr52/rev/e755294c7b55
status-firefox-esr52: affected → fixed
19 failures in 777 pushes (0.024 failures/push) were associated with this bug in the last 7 days.   

Repository breakdown:
* autoland: 10
* mozilla-inbound: 7
* mozilla-central: 1
* graphics: 1

Platform breakdown:
* osx-10-10: 18
* linux64-stylo: 1

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1179542&startday=2017-03-13&endday=2017-03-19&tree=all
You need to log in before you can comment on or make changes to this bug.